> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryreplicas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Replicas

> Returns a paginated list of all replicas in your organization. Supports filtering by user, source, and status. For this API endpoint, results are ordered by newest `created_at` first, except `status=archived` results are ordered by most recent activity (`last_activity_at`, falling back to `created_at`).



## OpenAPI

````yaml /openapi.json get /v1/replica
openapi: 3.1.0
info:
  title: Replica API
  version: 2.0.0
  description: >-
    The Replica API allows you to programmatically manage cloud workspaces for
    AI agents. Use this API to manage environments (the org-scoped primitive
    workspaces are created from — including variables, files, skills, MCPs, warm
    hooks, start hooks, and warm pools), create and manage replicas, send
    messages, manage chats, stream events, read connected repositories and
    repository sets, and configure automations.
servers:
  - url: https://api.tryreplicas.com
    description: Production API
security:
  - apiKey: []
tags:
  - name: Environments
    description: >-
      Manage environments — the primitive that workspaces are created from.
      Variables, files, skills, MCPs, warm-hooks, and warm-pools are all scoped
      to an environment. Every organization has a singleton Global environment
      whose values apply to every workspace. Personal environments are scoped to
      the authenticated user and can be standalone or source-backed by a team
      environment.
  - name: Repository
    description: >-
      Read repositories and repository sets connected to your organization.
      Repositories are the underlying GitHub-connection layer; bind them to an
      environment to use them in workspaces.
  - name: Replica
    description: Manage replicas (workspaces) for AI agents
  - name: Terminal
    description: Manage interactive terminal sessions in active workspaces
  - name: Preview
    description: Manage public preview URLs for workspace ports
  - name: Profile
    description: Read and update the authenticated user's profile
  - name: Credentials
    description: >-
      Manage coding-agent credentials for an organization or the authenticated
      user
  - name: Google Search Console
    description: >-
      Read Search Console properties, performance, sitemaps, and URL inspection
      results through a connected Google account
  - name: Slack
    description: Connect Slack identities and route threads to Replicas workspaces
  - name: Linear
    description: Connect Linear identities to Replicas accounts
  - name: Automation
    description: >-
      Create and manage automations that trigger replicas on a schedule or in
      response to events
  - name: Downloads
    description: Download Replicas applications
  - name: Analytics
    description: >-
      Read aggregated activity and usage metrics for your organization: compute
      minutes, workspaces created by source, and pull request throughput over a
      time range.
  - name: Presence
    description: >-
      Read and report ephemeral member presence: who is online, where they are
      (environment or workspace), and whether they are typing. Presence is
      backed by short-lived keys rather than the database and broadcast to other
      members over the events stream.
paths:
  /v1/replica:
    get:
      tags:
        - Replica
      summary: List Replicas
      description: >-
        Returns a paginated list of all replicas in your organization. Supports
        filtering by user, source, and status. For this API endpoint, results
        are ordered by newest `created_at` first, except `status=archived`
        results are ordered by most recent activity (`last_activity_at`, falling
        back to `created_at`).
      operationId: listReplicas
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: Number of items per page
          required: false
          schema:
            type: integer
            default: 10
            minimum: 1
            maximum: 100
        - name: user_id
          in: query
          description: Filter replicas by the user who created them
          required: false
          schema:
            type: string
        - name: source
          in: query
          description: Filter replicas by creation source
          required: false
          schema:
            type: string
            enum:
              - api
              - dashboard
              - slack
              - linear
              - github
              - gitlab
              - automation
        - name: status
          in: query
          description: Filter replicas by status
          required: false
          schema:
            type: string
            enum:
              - active
              - sleeping
              - archived
              - preparing
              - error
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListReplicasResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    ListReplicasResponse:
      type: object
      properties:
        replicas:
          type: array
          items:
            $ref: '#/components/schemas/ReplicaListItem'
          description: Array of replicas
        total:
          type: integer
          description: Total number of replicas matching the filters
        page:
          type: integer
          description: Current page number
        limit:
          type: integer
          description: Number of items per page
        total_pages:
          type: integer
          description: Total number of pages
      required:
        - replicas
        - total
        - page
        - limit
        - total_pages
    ReplicaListItem:
      type: object
      description: A replica item in list responses
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the replica
        name:
          type: string
          description: Human-readable name for the replica. Must not contain whitespace.
          pattern: ^\S+$
        status:
          type: string
          description: Current status of the replica
          enum:
            - active
            - sleeping
            - archived
            - preparing
            - error
        source:
          type: string
          description: How the replica was created
          enum:
            - api
            - dashboard
            - slack
            - linear
            - github
            - gitlab
            - automation
        created_at:
          type: string
          format: date-time
          description: Timestamp when the replica was created
        last_activity_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Timestamp of the last activity on the replica
        repositories:
          type: array
          items:
            $ref: '#/components/schemas/RepositoryReference'
          description: Repositories associated with the replica
        pull_requests:
          type: array
          items:
            $ref: '#/components/schemas/PullRequest'
          description: Associated pull requests
      required:
        - id
        - name
        - status
        - source
        - created_at
        - last_activity_at
        - repositories
        - pull_requests
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        details:
          type:
            - string
            - 'null'
          description: Additional error details
      required:
        - error
    RepositoryReference:
      type: object
      description: A repository reference in replica list items
      properties:
        id:
          type: string
          format: uuid
          description: Repository ID
        name:
          type: string
          description: Repository name
        url:
          type: string
          format: uri
          description: Repository URL
      required:
        - id
        - name
        - url
    PullRequest:
      type: object
      description: A pull request associated with a replica
      properties:
        repository:
          type: string
          description: Repository name
        number:
          type: integer
          description: Pull request number
        url:
          type: string
          format: uri
          description: URL to the pull request
      required:
        - repository
        - number
        - url
  responses:
    BadRequest:
      description: Bad request - Missing or invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        API key authentication. Obtain your API key from the Replicas dashboard
        under Organization → Settings → API Keys.

````